---
layout: "layout"
title: CTF
---
/ Fix for fixed navbar because there is only is-fullheight-with-navbar
/ https://github.com/jgthms/bulma/issues/3205
section.hero
  .hero-body

h1.title.is-1.has-text-centered#ctf CTF & Events

.columns.is-centered
  .column.is-narrow.has-text-centered
    p Here you can find each security contest that I participated in, including CTF (mostly until 2019), conferences, or security exercises or events.
    .tabs-wrapper
      .tabs.is-centered
        ul
          li.is-active
            a About
          li
            a 2022
          li
            a 2021
          li
            a 2020
          li
            a 2019
          li
            a 2018
          li
            a 2017
          li
            a 2016
          li
            a 2015
      .tabs-content
        ul
          li.is-active.has-text-justified
            p 
              | I am the Rawsec CTF team captain and founder.
              |  I created it in January 2016.
              |  The team was actively playing CTF between 2016 and 2019.
            p
              a.has-text-weight-semibold.has-text-primary href="https://ctftime.org/team/27232" target='_blank' rel='noopener noreferrer' Rawsec
              |  was originally a French security CTF team but is now International because people from all around the world joined us.
            p We frequently participated in both online and on site security Capture The Flag competitions, published write-ups on CTF tasks.
          li
            table.table
              thead
                tr
                  th Contest
                  th Date
                  th Location
                  th Links
              tfoot
                tr
                  th Contest
                  th Date
                  th Location
                  th Links
              tbody
                - data.ctf.e2022.events.each do |e|
                  tr
                    td #{e.contest}
                    td #{e.date}
                    td #{e.location}
                    td
                      - e.links.each do |lk, lv|
                        a.button.is-primary.is-outlined href="#{lv}" target='_blank' rel='noopener noreferrer' #{lk}
          li
            table.table
              thead
                tr
                  th Contest
                  th Date
                  th Location
                  th Links
              tfoot
                tr
                  th Contest
                  th Date
                  th Location
                  th Links
              tbody
                - data.ctf.e2021.events.each do |e|
                  tr
                    td #{e.contest}
                    td #{e.date}
                    td #{e.location}
                    td
                      - e.links.each do |lk, lv|
                        a.button.is-primary.is-outlined href="#{lv}" target='_blank' rel='noopener noreferrer' #{lk}
          li
            table.table
              thead
                tr
                  th Contest
                  th Date
                  th Location
                  th Links
              tfoot
                tr
                  th Contest
                  th Date
                  th Location
                  th Links
              tbody
                - data.ctf.e2020.events.each do |e|
                  tr
                    td #{e.contest}
                    td #{e.date}
                    td #{e.location}
                    td
                      - e.links.each do |lk, lv|
                        a.button.is-primary.is-outlined href="#{lv}" target='_blank' rel='noopener noreferrer' #{lk}
          li
            table.table
              thead
                tr
                  th Contest
                  th Date
                  th Location
                  th Links
              tfoot
                tr
                  th Contest
                  th Date
                  th Location
                  th Links
              tbody
                - data.ctf.e2019.events.each do |e|
                  tr
                    td #{e.contest}
                    td #{e.date}
                    td #{e.location}
                    td
                      - e.links.each do |lk, lv|
                        a.button.is-primary.is-outlined href="#{lv}" target='_blank' rel='noopener noreferrer' #{lk}
          li
            table.table
              thead
                tr
                  th Contest
                  th Date
                  th Location
                  th Links
              tfoot
                tr
                  th Contest
                  th Date
                  th Location
                  th Links
              tbody
                - data.ctf.e2018.events.each do |e|
                  tr
                    td #{e.contest}
                    td #{e.date}
                    td #{e.location}
                    td
                      - e.links.each do |lk, lv|
                        a.button.is-primary.is-outlined href="#{lv}" target='_blank' rel='noopener noreferrer' #{lk}
          li
            table.table
              thead
                tr
                  th Contest
                  th Date
                  th Location
                  th Links
              tfoot
                tr
                  th Contest
                  th Date
                  th Location
                  th Links
              tbody
                - data.ctf.e2017.events.each do |e|
                  tr
                    td #{e.contest}
                    td #{e.date}
                    td #{e.location}
                    td
                      - e.links.each do |lk, lv|
                        a.button.is-primary.is-outlined href="#{lv}" target='_blank' rel='noopener noreferrer' #{lk}
          li
            table.table
              thead
                tr
                  th Contest
                  th Date
                  th Location
                  th Links
              tfoot
                tr
                  th Contest
                  th Date
                  th Location
                  th Links
              tbody
                - data.ctf.e2016.events.each do |e|
                  tr
                    td #{e.contest}
                    td #{e.date}
                    td #{e.location}
                    td
                      - e.links.each do |lk, lv|
                        a.button.is-primary.is-outlined href="#{lv}" target='_blank' rel='noopener noreferrer' #{lk}
          li
            table.table
              thead
                tr
                  th Contest
                  th Date
                  th Location
                  th Links
              tfoot
                tr
                  th Contest
                  th Date
                  th Location
                  th Links
              tbody
                - data.ctf.e2015.events.each do |e|
                  tr
                    td #{e.contest}
                    td #{e.date}
                    td #{e.location}
                    td
                      - e.links.each do |lk, lv|
                        a.button.is-primary.is-outlined href="#{lv}" target='_blank' rel='noopener noreferrer' #{lk}
